Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3893)
@@ -361,10 +361,10 @@
 			// engine.stop();
 			// }
 
-			if (sourceName.matches(".+/TXM-.\\..\\../corpora")) {
-				sourceName = "TXM"+sourceName.substring(sourceName.length()-14, sourceName.length()-8);
+			if (sourceName.matches(".+/TXM-.\\..\\../corpora")) { //$NON-NLS-1$
+				sourceName = "TXM"+sourceName.substring(sourceName.length()-14, sourceName.length()-8); //$NON-NLS-1$
 			}
-			monitor.beginTask(TXMUIMessages.loadingBinaryCorpus +" "+sourceName+" ("+corporaFiles.size()+").", corporaFiles.size());
+			monitor.beginTask(TXMUIMessages.loadingBinaryCorpus +" "+sourceName+" ("+corporaFiles.size()+").", corporaFiles.size()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			// job.acquireSemaphore();
 			// Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
 			// job.releaseSemaphore();
@@ -373,7 +373,7 @@
 			int n = 0;
 			for (File corpusDirectory : corporaFiles) {
 				n++;
-				monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform+": \n"+corpusDirectory.getName()+" ("+n+"/"+corporaFiles.size()+").");
+				monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform+": \n"+corpusDirectory.getName()+" ("+n+"/"+corporaFiles.size()+")."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				monitor.worked(1);
 				try {
 					if (corpusDirectory.isHidden()) {
@@ -391,7 +391,7 @@
 						if (Workspace.isCorpusBinarydirectoryValid(corpusDirectory)) {
 							project = LoadBinaryCorpus.loadBinaryCorpusAsDirectory(corpusDirectory, monitor, replace);
 						} else {
-							Log.fine("Skip recovering of corpus: "+corpusDirectory);
+							Log.fine("Skip recovering of corpus: "+corpusDirectory); //$NON-NLS-1$
 						}
 					}
 					else {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/QuitHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/QuitHandler.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/QuitHandler.java	(revision 3893)
@@ -4,6 +4,7 @@
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.swt.widgets.Display;
+import org.txm.rcp.messages.TXMUIMessages;
 
 import jline.internal.Log;
 
@@ -18,7 +19,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		Log.info("Quit TXM...");
+		Log.info(TXMUIMessages.quitTXM);
 				
 		Display.getCurrent().getActiveShell().close();
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java	(revision 3893)
@@ -66,16 +66,16 @@
 				// creation time, last access, lastModofiedTime
 				// getOwner getGroup
 				try {
-					Map<String, Object> attrs = Files.readAttributes(f.toPath(), "*");
+					Map<String, Object> attrs = Files.readAttributes(f.toPath(), "*"); //$NON-NLS-1$
 					
-					if (attrs.get("posix:owner") != null) {
-						System.out.println(" owner: "+attrs.get("posix:owner"));
-						System.out.println(" ggroup: "+attrs.get("posix:group"));
+					if (attrs.get("posix:owner") != null) { //$NON-NLS-1$
+						System.out.println(" owner: "+attrs.get("posix:owner")); //$NON-NLS-1$ //$NON-NLS-2$
+						System.out.println(" ggroup: "+attrs.get("posix:group")); //$NON-NLS-1$ //$NON-NLS-2$
 					}
 					
-					System.out.println(" last access time: "+attrs.get("lastAccessTime"));
-					System.out.println(" last modified time: "+attrs.get("lastModifiedTime"));
-					System.out.println(" creation time: "+attrs.get("creationTime"));
+					System.out.println(" last access time: "+attrs.get("lastAccessTime")); //$NON-NLS-1$ //$NON-NLS-2$
+					System.out.println(" last modified time: "+attrs.get("lastModifiedTime")); //$NON-NLS-1$ //$NON-NLS-2$
+					System.out.println(" creation time: "+attrs.get("creationTime")); //$NON-NLS-1$ //$NON-NLS-2$
 					
 //					
 //					for (String attr : attrs.keySet()) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/RecoverCorporaFromInstalls.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/RecoverCorporaFromInstalls.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/RecoverCorporaFromInstalls.java	(revision 3893)
@@ -39,7 +39,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		JobHandler job = new JobHandler("Recovering corpora") {
+		JobHandler job = new JobHandler(TXMUIMessages.recoveringCorpora) {
 
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java	(revision 3893)
@@ -15,6 +15,7 @@
 import org.eclipse.ui.internal.Workbench;
 import org.eclipse.ui.internal.registry.PerspectiveDescriptor;
 import org.eclipse.ui.internal.registry.PerspectiveRegistry;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class CleanPerspective extends AbstractHandler {
 
@@ -23,7 +24,7 @@
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) {
-		if (MessageDialog.openConfirm(HandlerUtil.getActiveShell(event), "Reset perspective", "This will will restore the views and close the additional views of the current perspective. Continue?" )) {
+		if (MessageDialog.openConfirm(HandlerUtil.getActiveShell(event), TXMUIMessages.resetPerspective, TXMUIMessages.thisWillRestoreTheViewAndCloseEditors )) {
 			reset(event, true, false);
 		}
 		return null;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java	(revision 3893)
@@ -70,9 +70,9 @@
 		// Auto save each result after computing and auto load them at startup
 		this.addField(new BooleanFieldEditor(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TXMUIMessages.enableAutomaticSaveOfAllResultsPersistence, BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
 		
-		this.addField(new IntegerFieldEditor(RCPPreferences.MAX_NUMBER_OF_COLUMNS, "The maximum number of columns shown in tables", this.getFieldEditorParent()));
+		this.addField(new IntegerFieldEditor(RCPPreferences.MAX_NUMBER_OF_COLUMNS, TXMUIMessages.theMaximumNumberOfColumnShownInTables, this.getFieldEditorParent()));
 		
-		this.addField(new IntegerFieldEditor(TBXPreferences.QUERY_HISTORY_SIZE, "The maximum number of query stored in the query history", this.getFieldEditorParent()));
+		this.addField(new IntegerFieldEditor(TBXPreferences.QUERY_HISTORY_SIZE, TXMUIMessages.theMaximumNumberOfQueryStoredInTheQueryHistory, this.getFieldEditorParent()));
 	}
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 3893)
@@ -26,9 +26,9 @@
 		addField(new StringFieldEditor(TBXPreferences.UPDATESITE, TXMUIMessages.UpdateSiteAddress, getFieldEditorParent()));
 		
 		// enable some Eclipse features deactivated for TXM
-		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, "Expert mode", getFieldEditorParent()));
+		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, TXMUIMessages.expertMode, getFieldEditorParent()));
 		
-		addField(new BooleanFieldEditor(RCPPreferences.DISABLE_TEST_WARNING, "Disable the warning dialog when testing TXM", getFieldEditorParent()));
+		addField(new BooleanFieldEditor(RCPPreferences.DISABLE_TEST_WARNING, TXMUIMessages.disableTheWarningDialogWhenTestingTXM, getFieldEditorParent()));
 	}
 	
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3893)
@@ -33,6 +33,7 @@
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -331,7 +332,7 @@
 		if (!images.containsKey(imagekey)) {
 			ImageDescriptor imgg = AbstractUIPlugin.imageDescriptorFromPlugin(pluginId, imagekey);
 			if (imgg == null) {
-				Log.severe("Warning: image not found in '" + pluginId + "' -> '" + imagekey + "'");
+				Log.severe(TXMUIMessages.warningImageNotFoundAtP0 + pluginId + "' -> '" + imagekey + "'"); //$NON-NLS-2$ //$NON-NLS-3$
 				return getImage("icons/null.png"); //$NON-NLS-1$
 			}
 			
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3893)
@@ -62,8 +62,8 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 		
-		Label sep = toolkit.createLabel(sectionClient, "Concordances");
-		sep.setToolTipText("Concordance sub-section");
+		Label sep = toolkit.createLabel(sectionClient, TXMUIMessages.concordances);
+		sep.setToolTipText(TXMUIMessages.concordancesSubSection);
 		sep.setLayoutData(getSectionGridData(2));
 		sep.setFont(FontDescriptor.createFrom(sep.getFont()).setStyle(SWT.BOLD).createFont(sep.getDisplay()));
 		
@@ -76,11 +76,11 @@
 		TableWrapData gdata = getTextGridData();
 		structLimitsText.setLayoutData(gdata);
 		
-		Label tmp2Label = toolkit.createLabel(sectionClient, "Default References"); 
-		tmp2Label.setToolTipText("The default references displayed in the References column.");
+		Label tmp2Label = toolkit.createLabel(sectionClient, TXMUIMessages.defaultReferences); 
+		tmp2Label.setToolTipText(TXMUIMessages.theDefaultReferencesDisplayedInTheEtc);
 		tmp2Label.setLayoutData(getSectionGridData(2));
 		
-		Label tmp3Label = toolkit.createLabel(sectionClient, "	Pattern"); 
+		Label tmp3Label = toolkit.createLabel(sectionClient, TXMUIMessages.TabPattern); 
 		tmp3Label.setToolTipText(TXMUIMessages.YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties);
 		tmp3Label.setLayoutData(getLabelGridData());
 		
@@ -107,19 +107,19 @@
 			structLimitsText.setText(concPrefs.get("context_limits")); //$NON-NLS-1$
 		}
 		else {
-			structLimitsText.setText("text"); // TODO use the concordance preferences instead of hardcoding 'text'
+			structLimitsText.setText("text"); // TODO use the concordance preferences instead of hardcoding 'text' //$NON-NLS-1$
 		}
 		
 		if (concPrefs.get("view_reference_pattern") != null) { //$NON-NLS-1$
 			String gsonString = concPrefs.get("view_reference_pattern"); //$NON-NLS-1$
 			if (ReferencePattern.isGsonString(gsonString)) {
 				referencePatternText.setText(ReferencePattern.fromGSonToPattern(gsonString));
-				referencePatternProperties.setText(StringUtils.join(ReferencePattern.fromGSonToPropertyNames(gsonString), ","));
-			} else if(gsonString.contains("{0}")) {
-				System.out.println("WARNING: experimental reference pattern format found: "+gsonString);
+				referencePatternProperties.setText(StringUtils.join(ReferencePattern.fromGSonToPropertyNames(gsonString), ",")); //$NON-NLS-1$
+			} else if(gsonString.contains("{0}")) { //$NON-NLS-1$
+				System.out.println("WARNING: experimental reference pattern format found: "+gsonString); //$NON-NLS-1$
 			} else {
-				referencePatternText.setText("");
-				referencePatternProperties.setText(StringUtils.join(gsonString.split("\t"), ","));
+				referencePatternText.setText(""); //$NON-NLS-1$
+				referencePatternProperties.setText(StringUtils.join(gsonString.split("\t"), ",")); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		else {
@@ -137,8 +137,8 @@
 	public boolean saveFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
 			CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance"); //$NON-NLS-1$
-			concPrefs.set("context_limits_type", "list"); //$NON-NLS-1$ $NON-NLS-2$
-			concPrefs.set("context_limits", structLimitsText.getText());
+			concPrefs.set("context_limits_type", "list"); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
+			concPrefs.set("context_limits", structLimitsText.getText()); //$NON-NLS-1$
 			
 			concPrefs.set("view_reference_pattern", //$NON-NLS-1$
 					ReferencePattern.referenceToString(
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3893)
@@ -137,8 +137,8 @@
 		
 		if (importName.startsWith("xtz")) { //$NON-NLS-1$
 			
-			Label tmpLabel4 = toolkit.createLabel(sectionClient, "Unmanaged elements policy");
-			tmpLabel4.setToolTipText("ignore: the elements are not written ;  convert to span: rename the element to 'span' and set the class attribute");
+			Label tmpLabel4 = toolkit.createLabel(sectionClient, TXMUIMessages.unmanagedElementPolicy);
+			tmpLabel4.setToolTipText(TXMUIMessages.ignoreTheElementsAreNotWrittenEtc);
 			TableWrapData gdata4 = getLabelGridData();
 			gdata4.indent = 40;
 			tmpLabel4.setLayoutData(gdata4);
@@ -147,8 +147,8 @@
 			gdata4 = getTextGridData();
 			gdata4.colspan = 3; // one line
 			unmanagedElementsPolicyCombo.setLayoutData(gdata4);
-			unmanagedElementsPolicyCombo.setItems("ignore", "rename to span");
-			unmanagedElementsPolicyCombo.setToolTipText("ignore: the elements are not written ; convert to span: rename the element to 'span' and set the class attribute");
+			unmanagedElementsPolicyCombo.setItems("ignore", "rename to span"); //$NON-NLS-1$ //$NON-NLS-2$
+			unmanagedElementsPolicyCombo.setToolTipText(TXMUIMessages.ignoreTheElementsAreNotWrittenEtc);
 			
 			Label tmpLabel3 = toolkit.createLabel(sectionClient, TXMUIMessages.NoteElements);
 			tmpLabel3.setToolTipText(TXMUIMessages.NoteElementsThatEncodePonctualNotes);
@@ -225,8 +225,8 @@
 			gdata.colspan = 2;
 			defaultEditions.setLayoutData(gdata);
 			
-			tmpLabel = toolkit.createLabel(sectionClient, "Tooltip properties");
-			tmpLabel.setToolTipText("comma separated list (comma*=all)");
+			tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.tooltipProperties);
+			tmpLabel.setToolTipText(TXMUIMessages.commaSeparatedList);
 			gdata = getLabelGridData();
 			gdata.indent = 20;
 			tmpLabel.setLayoutData(gdata);
@@ -325,11 +325,11 @@
 			wordsPerPageText.setText("" + wppt); //$NON-NLS-1$
 			
 			if (noteElementsText != null) {
-				noteElementsText.setText(project.getTextualPlan("Note", "note")); //$NON-NLS-1$
+				noteElementsText.setText(project.getTextualPlan("Note", "note")); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			if (unmanagedElementsPolicyCombo != null) {
-				unmanagedElementsPolicyCombo.setText(project.getTextualPlan("UnmanagedElementsPolicy", "rename to span")); //$NON-NLS-1$
+				unmanagedElementsPolicyCombo.setText(project.getTextualPlan("UnmanagedElementsPolicy", "rename to span")); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			String pbt = edition_params.getPageElement();
@@ -339,7 +339,7 @@
 		}
 		
 		if (defaultEditionTooltipPropertiesText != null) {
-			defaultEditionTooltipPropertiesText.setText(project.getEditionDefinition("default").get(TBXPreferences.EDITION_DEFINITION_TOOLTIP_PROPERTIES, "*").replace(" ", ""));
+			defaultEditionTooltipPropertiesText.setText(project.getEditionDefinition("default").get(TBXPreferences.EDITION_DEFINITION_TOOLTIP_PROPERTIES, "*").replace(" ", "")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		}
 		
 		EditionDefinition edition_params = project.getEditionDefinition("facs"); //$NON-NLS-1$
@@ -392,11 +392,11 @@
 			}
 			
 			if (unmanagedElementsPolicyCombo != null) {
-				project.setTextualPlan("UnmanagedElementsPolicy", unmanagedElementsPolicyCombo.getText());
+				project.setTextualPlan("UnmanagedElementsPolicy", unmanagedElementsPolicyCombo.getText()); //$NON-NLS-1$
 			}
 			
 			if (defaultEditionTooltipPropertiesText != null) {
-				project.getEditionDefinition("default").set(TBXPreferences.EDITION_DEFINITION_TOOLTIP_PROPERTIES, defaultEditionTooltipPropertiesText.getText().replace(" ", ""));
+				project.getEditionDefinition("default").set(TBXPreferences.EDITION_DEFINITION_TOOLTIP_PROPERTIES, defaultEditionTooltipPropertiesText.getText().replace(" ", "")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
 			
 			if (buildFacsEditionCheckButton != null) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3893)
@@ -813,27 +813,27 @@
 			ImageHyperlink openImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 			openImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 			openImportLink.setImage(IImageKeys.getImage(IImageKeys.FOLDER));
-			openImportLink.setToolTipText("Select the import source directory");
+			openImportLink.setToolTipText(TXMUIMessages.selectTheImportSourceDirectory);
 			openImportLink.addHyperlinkListener(selectDirHListener);
 		}
 
 		ImageHyperlink saveImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 		saveImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 		saveImportLink.setImage(IImageKeys.getImage(IImageKeys.SAVE));
-		saveImportLink.setToolTipText("Save parameters");
+		saveImportLink.setToolTipText(TXMUIMessages.saveParameters);
 		saveImportLink.addHyperlinkListener(saveHListener);
 
 		ImageHyperlink startImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 		startImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 		startImportLink.setImage(IImageKeys.getImage(IImageKeys.START));
-		startImportLink.setToolTipText("Start import");
+		startImportLink.setToolTipText(TXMUIMessages.startToImport);
 		startImportLink.addHyperlinkListener(startImportListener);
 
 		if (RCPPreferences.getInstance().getBoolean(RCPPreferences.EXPERT_USER)) {
 			ImageHyperlink scriptImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 			scriptImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 			scriptImportLink.setImage(IImageKeys.getImage(IImageKeys.SCRIPT));
-			scriptImportLink.setToolTipText("Show module scripts");
+			scriptImportLink.setToolTipText(TXMUIMessages.showTheModuleScripts);
 			scriptImportLink.addHyperlinkListener(editImporScriptstListener);
 		}
 		int n = 1;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3893)
@@ -147,11 +147,11 @@
 	//	b.evaluate("alert(document);");
 	//	b.evaluate("alert(document.children[0].style);");
 //		b.evaluate("alert(document.children[0].children[1]);");
-		boolean isHTML = (boolean) b.evaluate("return document.getElementsByTagName('body')[0] != null;");
+		boolean isHTML = (boolean) b.evaluate("return document.getElementsByTagName('body')[0] != null;"); //$NON-NLS-1$
 		if (isHTML) {
-			String zoom = (String) b.evaluate("return document.getElementsByTagName('body')[0].style.zoom;");
+			String zoom = (String) b.evaluate("return document.getElementsByTagName('body')[0].style.zoom;"); //$NON-NLS-1$
 			if (zoom == null || zoom.isEmpty()) {
-				zoom = "1.0";
+				zoom = "1.0"; //$NON-NLS-1$
 			}
 			
 			float fzoom = Float.parseFloat(zoom) + diff;
@@ -159,11 +159,11 @@
 				fzoom = 1.0f;
 			}
 			
-			b.evaluate("document.getElementsByTagName('body')[0].style.zoom = \""+fzoom+"\";");
+			b.evaluate("document.getElementsByTagName('body')[0].style.zoom = \""+fzoom+"\";"); //$NON-NLS-1$ //$NON-NLS-2$
 		} else {
-			String zoom = (String) b.evaluate("return document.children[0].style.zoom;");
+			String zoom = (String) b.evaluate("return document.children[0].style.zoom;"); //$NON-NLS-1$
 			if (zoom == null || zoom.isEmpty()) {
-				zoom = "1.0";
+				zoom = "1.0"; //$NON-NLS-1$
 			}
 			
 			float fzoom = Float.parseFloat(zoom) + diff;
@@ -171,7 +171,7 @@
 				fzoom = 1.0f;
 			}
 			
-			b.evaluate("document.children[0].style.zoom = \""+fzoom+"\";");
+			b.evaluate("document.children[0].style.zoom = \""+fzoom+"\";"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 	}
 	
@@ -211,7 +211,7 @@
 				copyItem.setEnabled(text != null && text.length() > 0);
 				
 				MenuItem zoomInItem = new MenuItem(menu, SWT.NONE);
-				zoomInItem.setText("Zoom avant");
+				zoomInItem.setText(TXMUIMessages.zoomIn);
 				zoomInItem.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -224,7 +224,7 @@
 				});
 				
 				MenuItem zoomOutItem = new MenuItem(menu, SWT.NONE);
-				zoomOutItem.setText("Zoom arrière");
+				zoomOutItem.setText(TXMUIMessages.zoomOut);
 				zoomOutItem.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -238,7 +238,7 @@
 				});
 				
 				MenuItem zoomResetItem = new MenuItem(menu, SWT.NONE);
-				zoomResetItem.setText("Zoom initial");
+				zoomResetItem.setText(TXMUIMessages.initialZoom);
 				zoomResetItem.addSelectionListener(new SelectionListener() {
 					
 					@Override
@@ -524,7 +524,7 @@
 		
 
 		MenuItem zoomInItem = new MenuItem(menu, SWT.NONE);
-		zoomInItem.setText("Zoom avant");
+		zoomInItem.setText(TXMUIMessages.zoomIn);
 		zoomInItem.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -537,7 +537,7 @@
 		});
 		
 		MenuItem zoomOutItem = new MenuItem(menu, SWT.NONE);
-		zoomOutItem.setText("Zoom arrière");
+		zoomOutItem.setText(TXMUIMessages.zoomOut);
 		zoomOutItem.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -551,7 +551,7 @@
 		});
 		
 		MenuItem zoomResetItem = new MenuItem(menu, SWT.NONE);
-		zoomResetItem.setText("Zoom initial");
+		zoomResetItem.setText(TXMUIMessages.initialZoom);
 		zoomResetItem.addSelectionListener(new SelectionListener() {
 			
 			@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java	(revision 3893)
@@ -132,7 +132,7 @@
 		}
 		
 		Label firstStep = new Label(this, SWT.NONE);
-		firstStep.setText("1- Configure");
+		firstStep.setText(TXMUIMessages.oneConfigure);
 		firstStep = new Label(this, SWT.SEPARATOR | SWT.HORIZONTAL);
 		firstStep.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false, 2, 1));
 		
@@ -161,7 +161,7 @@
 		// affichage requete
 		
 		Label secondStep = new Label(this, SWT.NONE);
-		secondStep.setText("2- Generate query");
+		secondStep.setText(TXMUIMessages.twoGenerateTheQuery);
 		secondStep = new Label(this, SWT.SEPARATOR | SWT.HORIZONTAL);
 		secondStep.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false, 2, 1));
 		
@@ -172,7 +172,7 @@
 		queryField.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		
 		Button refreshBtn = new Button(this, SWT.PUSH);
-		refreshBtn.setText("Refresh the query");
+		refreshBtn.setText(TXMUIMessages.refreshTheQuery);
 		refreshBtn.addSelectionListener(new SelectionListener() {
 			
 			@Override
@@ -217,11 +217,11 @@
 		LinkedHashSet<String> parts = new LinkedHashSet<>(); // to avoid duplicates 
 		for (QueryItem item : queryItems) {
 			
-			String query = "";
+			String query = ""; //$NON-NLS-1$
 			
 			String prop = item.selectedSup.getFullName();
 			IStructuredSelection sel = item.valueCombo.getStructuredSelection();
-			String value = StringUtils.join(sel.toList(), "|");
+			String value = StringUtils.join(sel.toList(), "|"); //$NON-NLS-1$
 			
 			int test = item.testCombo.getSelectionIndex();
 			
@@ -237,11 +237,11 @@
 			parts.add(query);
 		}
 		
-		String sep = " | ";
+		String sep = " | "; //$NON-NLS-1$
 		if (andBtn.getSelection())
 			sep = " & "; //$NON-NLS-1$
 		
-		return "["+ StringUtils.join(parts, sep)+"]+ expand to "+queryItems.get(queryItems.size() - 1).structCombo.getText();
+		return "["+ StringUtils.join(parts, sep)+"]+ expand to "+queryItems.get(queryItems.size() - 1).structCombo.getText(); //$NON-NLS-1$ //$NON-NLS-2$
 		
 	}
 	
@@ -259,22 +259,22 @@
 		
 		for (QueryItem queryItem : queryItems) {
 			
-			String testString = "=";
+			String testString = "="; //$NON-NLS-1$
 			int test = queryItem.testCombo.getSelectionIndex();
 			if (test == 0) // is
-				testString = "=";
+				testString = "="; //$NON-NLS-1$
 			else if (test == 1) // is not
-				testString = "!=";
+				testString = "!="; //$NON-NLS-1$
 			else if (test == 2) // contains
-				testString = " contains ";
+				testString = " contains "; //$NON-NLS-1$
 			else // does not contain
-				testString = " does not contains";
+				testString = " does not contains"; //$NON-NLS-1$
 			
 			String generated = queryItem.selectedSup.asFullNameString() + testString + queryItem.valueCombo.getList().getSelection()[0];
 			parts.add(generated);
 		}
 		
-		String sep = " | ";
+		String sep = " | "; //$NON-NLS-1$
 		if (andBtn.getSelection())
 			sep = " & "; //$NON-NLS-1$
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SuperListViewer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SuperListViewer.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SuperListViewer.java	(revision 3893)
@@ -22,19 +22,20 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.List;
 import org.txm.rcp.IImageKeys;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.GLComposite;
 
 public class SuperListViewer extends GLComposite {
 	
 	ListViewer valueCombo;
 	Button selectByListButton;
-	String lastValuesSelected = "";
+	String lastValuesSelected = ""; //$NON-NLS-1$
 	Button selectByRegex;
-	String lastRegexSelected = "";
+	String lastRegexSelected = ""; //$NON-NLS-1$
 	
 	public SuperListViewer(Composite parent, int listStyle) {
 		
-		super(parent, SWT.NONE, "SuperListViewer");
+		super(parent, SWT.NONE, "SuperListViewer"); //$NON-NLS-1$
 		
 		this.getLayout().numColumns = 2;
 		this.getLayout().verticalSpacing = 1;
@@ -57,8 +58,8 @@
 		});
 		
 		selectByListButton = new Button(this, SWT.PUSH);
-		selectByListButton.setToolTipText("Select values using a list of values");
-		selectByListButton.setImage(IImageKeys.getImage("icons/functions/data.png"));
+		selectByListButton.setToolTipText(TXMUIMessages.selectUsingAListOfValues);
+		selectByListButton.setImage(IImageKeys.getImage("icons/functions/data.png")); //$NON-NLS-1$
 		selectByListButton.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
 		selectByListButton.addSelectionListener(new SelectionListener() {
 			
@@ -67,7 +68,7 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				
-				InputDialog dialog = new InputDialog(e.display.getActiveShell(), "Select values using a list of values", "List of values to select", lastValuesSelected, null);
+				InputDialog dialog = new InputDialog(e.display.getActiveShell(), TXMUIMessages.selectUsingAListOfValues, TXMUIMessages.listOfValuesToSelect, lastValuesSelected, null);
 				
 				if (dialog.open() == InputDialog.OK) {
 					String str = dialog.getValue();
@@ -82,7 +83,7 @@
 		});
 
 		selectByRegex = new Button(this, SWT.PUSH);
-		selectByRegex.setToolTipText("Select values using a regular expression");
+		selectByRegex.setToolTipText(TXMUIMessages.selectValuesUsingARegularExpression);
 		selectByRegex.setImage(IImageKeys.getImage(IImageKeys.ACTION_SEARCH));
 		selectByRegex.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, false));
 		selectByRegex.addSelectionListener(new SelectionListener() {
@@ -90,7 +91,7 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				
-				InputDialog dialog = new InputDialog(e.display.getActiveShell(), "Select values by regular expression", "Regular expression to use", lastRegexSelected, null);
+				InputDialog dialog = new InputDialog(e.display.getActiveShell(), TXMUIMessages.selectValuesUsingARegularExpression, TXMUIMessages.regularExpressionToUse, lastRegexSelected, null);
 				if (dialog.open() == InputDialog.OK) {
 					String str = dialog.getValue();
 					str = str.trim();
@@ -106,7 +107,7 @@
 		});
 		
 		Button allButton = new Button(this, SWT.PUSH);
-		allButton.setToolTipText("Select all");
+		allButton.setToolTipText(TXMUIMessages.selectAll);
 		allButton.setImage(IImageKeys.getImage(IImageKeys.CHECKEDALL));
 		allButton.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, false));
 		allButton.addSelectionListener(new SelectionListener() {
@@ -122,7 +123,7 @@
 		});
 		
 		Button clearButton = new Button(this, SWT.PUSH);
-		clearButton.setToolTipText("De-select all");
+		clearButton.setToolTipText(TXMUIMessages.deselectAll);
 		clearButton.setImage(IImageKeys.getImage(IImageKeys.UNCHECKEDALL));
 		clearButton.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, false));
 		clearButton.addSelectionListener(new SelectionListener() {
@@ -167,7 +168,7 @@
 		if (str == null) return;
 		if (str.length() == 0) return;
 		
-		selectByStringValues(str.split("[\t\n|]"));
+		selectByStringValues(str.split("[\t\n|]")); //$NON-NLS-1$
 	}
 	
 	public void selectByStringValues(String[] values) {
